[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.GetSchemaNames

Get database schema names

## Declaration

Source position: sqldb.pp line 285

`public procedure TSQLConnection.GetSchemaNames(`
`List: TStrings`
`); virtual;`

## Arguments

`List` |  | On return, filled with schema names, one per line

## Description

GetSchemaNames returns a list of schemas defined in the database.

## See also

TSQLConnection.GetTableNames |  | Get a list of the tables in the specified database
TSQLConnection.GetProcedureNames |  | Gets a list of Stored Procedures in the Database
TSQLConnection.GetFieldNames |  | Gets a list of the field names in the specified table